import { type Base, genBase } from "./_base"
import type { DeviceOrderItem } from "./device-order-item"
import { genDoctor, type Doctor } from "./doctor"

export interface DeviceOrder extends Base {
  encounter_id: number
  doctor_code: number
  doctor: Doctor
  status_code?: string
  items: DeviceOrderItem[]
}

export function genDeviceOrder(): DeviceOrder {
  return {
    ...genBase(),
    encounter_id: 0,
    doctor_code: 0,
    doctor: genDoctor(),
    items: []
  }
}
